set KUNDE; # Menge der Kunden
set LAG;   # Menge der Lager

param fixkost{LAG} >= 0; # Fixkosten an jedem Standort
param kapLag{LAG} >=0;  # Kapazit�t von jedem Standort
param nachfr{KUNDE} >=0;  # Nachfrag der Kunden
param diskost{LAG,KUNDE} >=0; # Distributionskosten von Lager zu Kunde

var xmenge {i in LAG, j in KUNDE} >=0 integer; # Menge, die von Lager zu Kunde transporiert wird

var xbaulag {i in LAG} binary; # 0, Lager wird nicht gebaut, sonst 1

# Zielfunktion: Minimierung der Kosten: Fixkosten falls Lager gebaut ist + Distributionskosten
minimize Kosten: sum{i in LAG} (fixkost[i]*xbaulag[i] + sum{j in KUNDE} diskost[i,j]*xmenge[i,j]);

# Kapazitaet der Lager; 
s.t. Kapazitaet {i in LAG}: sum {j in KUNDE} xmenge[i,j] <= kapLag[i]*xbaulag[i];

# zu deckende Nachfrage der Kunden
s.t. Nachfrage {j in KUNDE}: sum {i in LAG} xmenge[i,j] >= nachfr[j];

# Es kann nur Ware vom Lager zum Kunden geliefert werden, wenn das Lager gebaut ist
s.t. LagerBau {i in LAG, j in KUNDE}: xmenge[i,j] <= nachfr[j]*xbaulag[i];
